Package org.apache.tools.ant.types.selectors

## Class PosixPermissionsSelector

- java.lang.Object
- - org.apache.tools.ant.types.selectors.PosixPermissionsSelector

- All Implemented Interfaces:
    `ResourceSelector`, `FileSelector`

      public class PosixPermissionsSelector
      extends java.lang.Object
      implements FileSelector

  A selector that selects files based on their POSIX permissions.

  Permissions are defined in terms of `Files.getPosixFilePermissions(java.nio.file.Path, java.nio.file.LinkOption...)`, this means the selector will accept any file that exists and has given POSIX permissions.

  Since:
    Ant 1.10.4

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PosixPermissionsSelector()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `isSelected​(java.io.File basedir, java.lang.String filename, java.io.File file)` | Method that each selector will implement to create their selection behaviour.
    `void` | `setFollowSymlinks​(boolean followSymlinks)` | Sets the "follow symbolic links" flag.
    `void` | `setPermissions​(java.lang.String permissions)` | Sets the permissions to look for.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tools.ant.types.selectors.FileSelector

      `isSelected`

- - ### Constructor Detail

    - #### PosixPermissionsSelector

          public PosixPermissionsSelector()

  - ### Method Detail

    - #### setPermissions

          public void setPermissions​(java.lang.String permissions)

      Sets the permissions to look for.
      Parameters:
        `permissions` - the permissions string (rwxrwxrwx or octal)

    - #### setFollowSymlinks

          public void setFollowSymlinks​(boolean followSymlinks)

      Sets the "follow symbolic links" flag.
      Parameters:
        `followSymlinks` - whether or not symbolic links should be followed.

    - #### isSelected

          public boolean isSelected​(java.io.File basedir,
                                    java.lang.String filename,
                                    java.io.File file)

      Description copied from interface: `FileSelector`
      Method that each selector will implement to create their selection behaviour. If there is a problem with the setup of a selector, it can throw a BuildException to indicate the problem.
      Specified by:
        `isSelected` in interface `FileSelector`
      Parameters:
        `basedir` - A java.io.File object for the base directory
        `filename` - The name of the file to check
        `file` - A File object for this filename
      Returns:
        whether the file should be selected or not